HomeGuidesAPI Reference
API Reference

Enable or disable alarm suppression for alarm types or appliances

Updates the alarm suppression configuration by enabling or disabling specific alarm type IDs or appliance IDs. When alarms are disabled, they are suppressed system-wide. When enabled, force synchronization is triggered on affected appliances.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Configuration specifying the action and target alarm types/appliances.

Request body for updating alarm suppression configuration. Specifies the action to perform and the target alarm types or appliances.

string
enum
required

Action to perform on the specified alarm types and appliances. DISABLE adds items to suppression list; ENABLE removes items from suppression list.

Allowed:
alarmTypeIds
array of integers
required

List of alarm type IDs to enable or disable. Use empty array [] if not modifying alarm types. Cannot be null.

alarmTypeIds*
applianceIds
array of strings
required

List of appliance nePk identifiers to enable or disable alarms for. Use empty array [] if not modifying appliances. Cannot be null.

applianceIds*
Responses
204

Alarm suppression configuration updated successfully. No content returned.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json